function [x,ok] = getDoubleFromDialog( varargin )
    [x,ok] = getDoubleFromString( ...
        get( varargin{1}, 'UserData' ),...
        get( varargin{1}, 'String' ), ...
        varargin{2:nargin} );
end
